---
- name: "APT GPG key"
  apt_key:
    url:  https://dl.yarnpkg.com/debian/pubkey.gpg
    state: present

- name: "Yarn Ensure Debian sources list file exists"
  file:
    path: /etc/apt/sources.list.d/yarn.list
    owner: root
    mode: 0644
    state: touch

- name: "Yarn Add deb http://dl.yarnpkg.com/debian/ stable main in yarn.list"
  lineinfile:
    dest: /etc/apt/sources.list.d/yarn.list
    regexp: 'deb http://dl.yarnpkg.com/debian/ stable main'
    line: 'deb http://dl.yarnpkg.com/debian/ stable main'
    state: present

- name: "Update APT cache"
  apt:
    update_cache: yes

- name: "Install the packages YARN, NPM, NodeJS"
  apt:
    pkg: "{{ item }}"
  loop: "{{ packages }}"

- name: "Nginx is not install"
  apt:
    name: nginx
    state: absent

- name: "stop service Nginx"
  ansible.builtin.systemd:
    name: nginx
    state: stopped
  ignore_errors: true

- name: "Delete html file"
  file:
    path: "{{ project_path }}/html"
    state: absent
  ignore_errors: true

- name: "Install pm2"
  npm:
    name: pm2
    global: yes